package com.ruoyi.goods.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.goods.mapper.TCanteenClassifyMapper;
import com.ruoyi.goods.domain.TCanteenClassify;
import com.ruoyi.goods.service.ITCanteenClassifyService;

/**
 * 菜单类型Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
@Service
public class TCanteenClassifyServiceImpl implements ITCanteenClassifyService 
{
    @Autowired
    private TCanteenClassifyMapper tCanteenClassifyMapper;

    /**
     * 查询菜单类型
     * 
     * @param classifyId 菜单类型主键
     * @return 菜单类型
     */
    @Override
    public TCanteenClassify selectTCanteenClassifyByClassifyId(Long classifyId)
    {
        return tCanteenClassifyMapper.selectTCanteenClassifyByClassifyId(classifyId);
    }

    /**
     * 查询菜单类型列表
     * 
     * @param tCanteenClassify 菜单类型
     * @return 菜单类型
     */
    @Override
    public List<TCanteenClassify> selectTCanteenClassifyList(TCanteenClassify tCanteenClassify)
    {
        return tCanteenClassifyMapper.selectTCanteenClassifyList(tCanteenClassify);
    }

    /**
     * 新增菜单类型
     * 
     * @param tCanteenClassify 菜单类型
     * @return 结果
     */
    @Override
    public int insertTCanteenClassify(TCanteenClassify tCanteenClassify)
    {
        return tCanteenClassifyMapper.insertTCanteenClassify(tCanteenClassify);
    }

    /**
     * 修改菜单类型
     * 
     * @param tCanteenClassify 菜单类型
     * @return 结果
     */
    @Override
    public int updateTCanteenClassify(TCanteenClassify tCanteenClassify)
    {
        return tCanteenClassifyMapper.updateTCanteenClassify(tCanteenClassify);
    }

    /**
     * 批量删除菜单类型
     * 
     * @param classifyIds 需要删除的菜单类型主键
     * @return 结果
     */
    @Override
    public int deleteTCanteenClassifyByClassifyIds(Long[] classifyIds)
    {
        return tCanteenClassifyMapper.deleteTCanteenClassifyByClassifyIds(classifyIds);
    }

    /**
     * 删除菜单类型信息
     * 
     * @param classifyId 菜单类型主键
     * @return 结果
     */
    @Override
    public int deleteTCanteenClassifyByClassifyId(Long classifyId)
    {
        return tCanteenClassifyMapper.deleteTCanteenClassifyByClassifyId(classifyId);
    }
}
